#!/bin/sh
TMP=`mktemp`
if [ $? != 0 ] ; then 
	TMP=`mktemp $HOME/.XandrosAntivirus/mailpipe.XXXXXX`
fi 
export TMP
cat > $TMP

if clamscan --mbox --stdout --no-summary --database=$HOME/.XandrosAntivirus/definitions $TMP | grep -q FOUND; then
	echo "X-Virus-Flag: yes"
else
	echo "X-Virus-Flag: no"
fi

cat $TMP
rm $TMP
